#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../shared
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kolab.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  PO_DIR tderesources-desktops
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/../uninstall.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  RENAME imap.desktop )


##### tdeabc_kolab (module) #######################

tde_add_kpart( tdeabc_kolab AUTOMOC
  SOURCES resourcekolab_plugin.cpp
  LINK tdeabckolab-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeabckolab (shared) ########################

tde_add_library( tdeabckolab SHARED AUTOMOC
  SOURCES resourcekolab.cpp contact.cpp
  VERSION 0.0.0
  LINK resourcekolabshared-static kgroupwarebase-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
